package formules;import fr.ifremer.isisfish.entities.*;import org.codelutin.math.matrix.*;import fr.ifremer.isisfish.types.Date;import fr.ifremer.isisfish.types.Month;import fr.ifremer.isisfish.types.RangeOfValues;import fr.ifremer.isisfish.types.TimeUnit;import java.util.*;public class fr_ifremer_isisfish_entities_Equation_1212053153473_0_18274462633995825 implements fr.ifremer.isisfish.equation.SelectivityEquation {public double compute(fr.ifremer.isisfish.simulator.SimulationContext context, fr.ifremer.isisfish.entities.Population pop, fr.ifremer.isisfish.entities.PopulationGroup group, fr.ifremer.isisfish.entities.Metier metier) throws Exception {if (group.getId() == 1) return  0.81;
else if (group.getId()==2) return 0.86;
else if (group.getId()==3) return 0.91;
else if (group.getId()==4) return 0.94;
else if (group.getId()==5) return 0.97;
else if (group.getId()==6) return 0.99;
else if (group.getId()==7) return 1.00;
else if (group.getId()==8) return 0.99;
else if (group.getId()==9) return 0.94;
else if (group.getId()==10) return 0.87;
else if (group.getId()==11) return 0.76;
else if (group.getId()==12) return 0.64;
else if (group.getId()==13) return 0.52;
else if (group.getId()==14) return 0.41;
else if (group.getId()==15) return 0.31;
else if (group.getId()==16) return 0.22;
else if (group.getId()==17) return 0.15;
return 0;

}
}
